import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { TapdReviewConfigDefault } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:44
 */
interface TapdReviewConfigDefaultCU extends ConditionUtil<TapdReviewConfigDefaultCU>{
    ID:FieldUtil<TapdReviewConfigDefaultCU>;
    ENV:FieldUtil<TapdReviewConfigDefaultCU>;
    FILE_NAME:FieldUtil<TapdReviewConfigDefaultCU>;
    FILE_PATH:FieldUtil<TapdReviewConfigDefaultCU>;
    CONFIG:FieldUtil<TapdReviewConfigDefaultCU>;
    BUSINESS_GROUP:FieldUtil<TapdReviewConfigDefaultCU>;
}

class TapdReviewConfigDefaultCUImpl extends ConditionUtilImpl<TapdReviewConfigDefaultCUImpl> implements TapdReviewConfigDefaultCU{ 
    newInstance(): TapdReviewConfigDefaultCUImpl {
        return new TapdReviewConfigDefaultCUImpl();
    } 
    get ID(): FieldUtil<TapdReviewConfigDefaultCU>{  
        return new FieldUtil('id','id','', this);
    }
    get ENV(): FieldUtil<TapdReviewConfigDefaultCU>{  
        return new FieldUtil('env','env','所属环境', this);
    }
    get FILE_NAME(): FieldUtil<TapdReviewConfigDefaultCU>{  
        return new FieldUtil('file_name','fileName','文件名称', this);
    }
    get FILE_PATH(): FieldUtil<TapdReviewConfigDefaultCU>{  
        return new FieldUtil('file_path','filePath','文件地址', this);
    }
    get CONFIG(): FieldUtil<TapdReviewConfigDefaultCU>{  
        return new FieldUtil('config','config','配置内容', this);
    }
    get BUSINESS_GROUP(): FieldUtil<TapdReviewConfigDefaultCU>{  
        return new FieldUtil('business_group','businessGroup','业务组类型：0-CP；1-PC；2-SaaS；', this);
    }
}

@Singleton 
class TapdReviewConfigDefaultMU extends TableUtilImpl<TapdReviewConfigDefaultCU,TapdReviewConfigDefault>{ 
    tableName  = 'tapd_review_config_default';
    tableFields  = ['id','env','file_name','file_path','config','business_group'];
    modelFields  = ['id','env','fileName','filePath','config','businessGroup'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): TapdReviewConfigDefaultCU {
        return new TapdReviewConfigDefaultCUImpl();
    }   

    static get ID(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return new FieldUtil('id','id','', new TapdReviewConfigDefaultCUImpl());
    }
    static get ENV(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return new FieldUtil('env','env','所属环境', new TapdReviewConfigDefaultCUImpl());
    }
    static get FILE_NAME(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return new FieldUtil('file_name','fileName','文件名称', new TapdReviewConfigDefaultCUImpl());
    }
    static get FILE_PATH(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return new FieldUtil('file_path','filePath','文件地址', new TapdReviewConfigDefaultCUImpl());
    }
    static get CONFIG(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return new FieldUtil('config','config','配置内容', new TapdReviewConfigDefaultCUImpl());
    }
    static get BUSINESS_GROUP(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return new FieldUtil('business_group','businessGroup','业务组类型：0-CP；1-PC；2-SaaS；', new TapdReviewConfigDefaultCUImpl());
    }

    get ID(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return TapdReviewConfigDefaultMU.ID;
    }
    get ENV(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return TapdReviewConfigDefaultMU.ENV;
    }
    get FILE_NAME(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return TapdReviewConfigDefaultMU.FILE_NAME;
    }
    get FILE_PATH(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return TapdReviewConfigDefaultMU.FILE_PATH;
    }
    get CONFIG(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return TapdReviewConfigDefaultMU.CONFIG;
    }
    get BUSINESS_GROUP(): FieldUtil<TapdReviewConfigDefaultCU>{ 
        return TapdReviewConfigDefaultMU.BUSINESS_GROUP;
    }
}
export {TapdReviewConfigDefaultMU, TapdReviewConfigDefaultCU}
